Harbor Gateway
  1. Locker Types
Harbor Gateway
  • Harbor Gateway API
    • Harbor Gateway
    • Health & Status
      • Admin interface
      • Health check
    • Transactions
      • List all transactions
      • Create a transaction
      • Get transaction details
      • Release transaction
      • Open locker by transaction ID
    • Lockers
      • List all lockers
      • Get locker configuration
      • Get locker details
      • Update locker service state
      • Open locker by ID
      • Open all lockers
    • Locker Types
      • List all locker types
        GET
      • Get locker type details
        GET
    • Bank Types
      • List all bank types
      • Get bank type with associations
    • System
      • Receive heartbeat from external device
    • Schemas
      • Locker
      • LockerTypeSummary
      • TransactionResponse
      • LockerType
      • LockController
      • System
      • LockerConfig
      • LogEntry
      • OperationResponse
      • LockerOperationResponse
      • MultiStatusOperationResponse
      • BankType
      • OpenAllLockersResponse
      • BankTypeAssociation
      • Error
      • BankTypeWithAssociations
      • DeviceHeartbeatRequest
  1. Locker Types

Get locker type details

GET
/locker-types/{lockerTypeId}
Retrieve detailed information about a specific locker type

Request

Path Params

Responses

🟢200
application/json
Locker type details
Body

🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/locker-types/'
Response Response Example
200 - Example 1
{
    "slug": "medium",
    "lengthInches": 12,
    "widthInches": 12,
    "heightInches": 18,
    "description": "Medium locker (default)",
    "alwaysOos": false,
    "lockerTypeId": 1,
    "createdAt": "2025-01-15T10:30:00Z"
}
Modified at 2026-02-20 22:56:40
Previous
List all locker types
Next
List all bank types
Built with